curl https://api2.ecomailapp.cz/lists \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/lists');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
[
{
"id": 29,
"name": "New list name",
"from_name": "Ecomailapp.cz",
"from_email": "test@ecomailapp.cz",
"reply_to": "support@ecomail.cz",
"sub_success_page": null,
"sub_confirmed_page": null,
"unsub_page": null,
"double_optin": null,
"conf_subject": null,
"conf_message": null
}
]
Lists
View all lists
Retrieve all subscriber lists in your account.
GET
/
lists
curl https://api2.ecomailapp.cz/lists \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/lists');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
[
{
"id": 29,
"name": "New list name",
"from_name": "Ecomailapp.cz",
"from_email": "test@ecomailapp.cz",
"reply_to": "support@ecomail.cz",
"sub_success_page": null,
"sub_confirmed_page": null,
"unsub_page": null,
"double_optin": null,
"conf_subject": null,
"conf_message": null
}
]
List properties
integer
Unique identifier of the list.
string
required
List name.
string
Sender name used in emails sent from this list.
string
Sender email address used in emails sent from this list.
string
Reply-to email address.
string
URL to redirect to after submitting a sign-up form.
string
URL to redirect to after confirming a sign-up email.
string
URL to redirect to after unsubscribing from the list.
boolean
Whether sign-up confirmation (double opt-in) is required.
string
Subject line of the confirmation email.
string
HTML content of the confirmation email.
curl https://api2.ecomailapp.cz/lists \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/lists');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
[
{
"id": 29,
"name": "New list name",
"from_name": "Ecomailapp.cz",
"from_email": "test@ecomailapp.cz",
"reply_to": "support@ecomail.cz",
"sub_success_page": null,
"sub_confirmed_page": null,
"unsub_page": null,
"double_optin": null,
"conf_subject": null,
"conf_message": null
}
]